Bug 479519

Summary: ksvalidator tracebacks with UnicodeDecodeError
Product: [Fedora] Fedora Reporter: Dan Horák <dan>
Component: pykickstartAssignee: Chris Lumens <clumens>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: clumens, ivazqueznet, james.antill, jonathansteffan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:05:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Patch for ksvalidator in pykickstart 1.50
none
Better ksvalidator patch none

Description Dan Horák 2009-01-10 10:38:46 EST
running ksvalidator without any parameter on rawhide gives a traceback, package is pykickstart-1.49-1.fc11.noarch

[dan@localhost ~]$ ksvalidator 
Traceback (most recent call last):
  File "/usr/bin/ksvalidator", line 61, in <module>
    op.print_help()
  File "/usr/lib64/python2.6/optparse.py", line 1648, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 134: ordinal not in range(128)


the same in F-10 with pykickstart-1.47-1.fc10.noarch

[dan@eagle cdcollect]$ ksvalidator 
Traceback (most recent call last):
  File "/usr/bin/ksvalidator", line 61, in <module>
    op.print_help()
  File "/usr/lib64/python2.5/optparse.py", line 1655, in print_help
    file.write(self.format_help().encode(encoding, "replace"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 134: ordinal not in range(128)

I am running with LANG=cs_CZ.UTF-8
Comment 1 Ignacio Vazquez-Abrams 2009-01-15 17:45:19 EST
Lovely. An ancient issue.

http://bugs.python.org/issue2931
Comment 2 Ignacio Vazquez-Abrams 2009-01-15 18:13:04 EST
Created attachment 329149 [details]
Patch for ksvalidator in pykickstart 1.50

This patch fixes the issue in an ugly way. I'd rather that it be fixed in Python directly though.
Comment 3 Ignacio Vazquez-Abrams 2009-01-15 18:25:59 EST
Created attachment 329151 [details]
Better ksvalidator patch

Okay, after doing some reading I've decided that this isn't a Python bug after all, but rather a bug in how gettext is being used.
Comment 4 James Antill 2009-01-16 01:25:49 EST
I'm suspicious given that we have hacks in yum to work around optparse blowing up in the same way ... also using install() means that _ is put in the global namespace (pointing to the ksvalidator domain) ... is that valid?

Also _() is now returning unicode and not str() as it did before the patch, that could be a huge change for the rest of the code.

On the other hand, the hack in yum to make it work is hella ugly and _() returns unicode in yum ... and getting optparse fixed is unlikely, so have fun Dan :)...
Comment 5 Bug Zapper 2009-06-09 06:38:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lumens 2009-09-09 17:20:44 EDT
This patch makes me a little nervous, but the worst that can happen is it breaks other things and I have to back it out.  Let's see what happens.
Comment 7 Bug Zapper 2010-04-27 08:43:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:05:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.